"Fossies" - the Fresh Open Source Software Archive

Member "netcdf-cxx4-4.3.1/cxx4/Makefile.in" (11 Sep 2019, 51657 Bytes) of package /linux/misc/netcdf-cxx4-4.3.1.tar.gz:


As a special service "Fossies" has tried to format the requested text file into HTML format (style: standard) with prefixed line numbers. Alternatively you can here view or download the uninterpreted source code file.

    1 # Makefile.in generated by automake 1.16.1 from Makefile.am.
    2 # @configure_input@
    3 
    4 # Copyright (C) 1994-2018 Free Software Foundation, Inc.
    5 
    6 # This Makefile.in is free software; the Free Software Foundation
    7 # gives unlimited permission to copy and/or distribute it,
    8 # with or without modifications, as long as this notice is preserved.
    9 
   10 # This program is distributed in the hope that it will be useful,
   11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
   12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
   13 # PARTICULAR PURPOSE.
   14 
   15 @SET_MAKE@
   16 
   17 # Copyright 2011, see the COPYRIGHT file for more information.
   18 
   19 # This file builds the new C++-4 interface.
   20 
   21 
   22 VPATH = @srcdir@
   23 am__is_gnu_make = { \
   24   if test -z '$(MAKELEVEL)'; then \
   25     false; \
   26   elif test -n '$(MAKE_HOST)'; then \
   27     true; \
   28   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
   29     true; \
   30   else \
   31     false; \
   32   fi; \
   33 }
   34 am__make_running_with_option = \
   35   case $${target_option-} in \
   36       ?) ;; \
   37       *) echo "am__make_running_with_option: internal error: invalid" \
   38               "target option '$${target_option-}' specified" >&2; \
   39          exit 1;; \
   40   esac; \
   41   has_opt=no; \
   42   sane_makeflags=$$MAKEFLAGS; \
   43   if $(am__is_gnu_make); then \
   44     sane_makeflags=$$MFLAGS; \
   45   else \
   46     case $$MAKEFLAGS in \
   47       *\\[\ \	]*) \
   48         bs=\\; \
   49         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
   50           | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
   51     esac; \
   52   fi; \
   53   skip_next=no; \
   54   strip_trailopt () \
   55   { \
   56     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
   57   }; \
   58   for flg in $$sane_makeflags; do \
   59     test $$skip_next = yes && { skip_next=no; continue; }; \
   60     case $$flg in \
   61       *=*|--*) continue;; \
   62         -*I) strip_trailopt 'I'; skip_next=yes;; \
   63       -*I?*) strip_trailopt 'I';; \
   64         -*O) strip_trailopt 'O'; skip_next=yes;; \
   65       -*O?*) strip_trailopt 'O';; \
   66         -*l) strip_trailopt 'l'; skip_next=yes;; \
   67       -*l?*) strip_trailopt 'l';; \
   68       -[dEDm]) skip_next=yes;; \
   69       -[JT]) skip_next=yes;; \
   70     esac; \
   71     case $$flg in \
   72       *$$target_option*) has_opt=yes; break;; \
   73     esac; \
   74   done; \
   75   test $$has_opt = yes
   76 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
   77 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
   78 pkgdatadir = $(datadir)/@PACKAGE@
   79 pkgincludedir = $(includedir)/@PACKAGE@
   80 pkglibdir = $(libdir)/@PACKAGE@
   81 pkglibexecdir = $(libexecdir)/@PACKAGE@
   82 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
   83 install_sh_DATA = $(install_sh) -c -m 644
   84 install_sh_PROGRAM = $(install_sh) -c
   85 install_sh_SCRIPT = $(install_sh) -c
   86 INSTALL_HEADER = $(INSTALL_DATA)
   87 transform = $(program_transform_name)
   88 NORMAL_INSTALL = :
   89 PRE_INSTALL = :
   90 POST_INSTALL = :
   91 NORMAL_UNINSTALL = :
   92 PRE_UNINSTALL = :
   93 POST_UNINSTALL = :
   94 build_triplet = @build@
   95 host_triplet = @host@
   96 target_triplet = @target@
   97 subdir = cxx4
   98 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
   99 am__aclocal_m4_deps = $(top_srcdir)/m4/libtool.m4 \
  100 	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
  101 	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
  102 	$(top_srcdir)/configure.ac
  103 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
  104 	$(ACLOCAL_M4)
  105 DIST_COMMON = $(srcdir)/Makefile.am $(include_HEADERS) \
  106 	$(am__DIST_COMMON)
  107 mkinstalldirs = $(install_sh) -d
  108 CONFIG_HEADER = $(top_builddir)/config.h
  109 CONFIG_CLEAN_FILES = findplugin.sh
  110 CONFIG_CLEAN_VPATH_FILES =
  111 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
  112 am__vpath_adj = case $$p in \
  113     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
  114     *) f=$$p;; \
  115   esac;
  116 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
  117 am__install_max = 40
  118 am__nobase_strip_setup = \
  119   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
  120 am__nobase_strip = \
  121   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
  122 am__nobase_list = $(am__nobase_strip_setup); \
  123   for p in $$list; do echo "$$p $$p"; done | \
  124   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  125   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
  126     if (++n[$$2] == $(am__install_max)) \
  127       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
  128     END { for (dir in files) print dir, files[dir] }'
  129 am__base_list = \
  130   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  131   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
  132 am__uninstall_files_from_dir = { \
  133   test -z "$$files" \
  134     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
  135     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
  136          $(am__cd) "$$dir" && rm -f $$files; }; \
  137   }
  138 am__installdirs = "$(DESTDIR)$(libdir)" "$(DESTDIR)$(includedir)"
  139 LTLIBRARIES = $(lib_LTLIBRARIES)
  140 libnetcdf_c__4_la_LIBADD =
  141 am_libnetcdf_c__4_la_OBJECTS = ncAtt.lo ncCheck.lo ncCompoundType.lo \
  142 	ncDim.lo ncEnumType.lo ncException.lo ncFile.lo ncGroup.lo \
  143 	ncGroupAtt.lo ncOpaqueType.lo ncType.lo ncVar.lo ncVarAtt.lo \
  144 	ncVlenType.lo ncByte.lo ncChar.lo ncShort.lo ncInt.lo \
  145 	ncFloat.lo ncDouble.lo ncUbyte.lo ncUshort.lo ncUint.lo \
  146 	ncInt64.lo ncUint64.lo ncString.lo
  147 libnetcdf_c__4_la_OBJECTS = $(am_libnetcdf_c__4_la_OBJECTS)
  148 AM_V_lt = $(am__v_lt_@AM_V@)
  149 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
  150 am__v_lt_0 = --silent
  151 am__v_lt_1 = 
  152 libnetcdf_c__4_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX \
  153 	$(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CXXLD) \
  154 	$(AM_CXXFLAGS) $(CXXFLAGS) $(libnetcdf_c__4_la_LDFLAGS) \
  155 	$(LDFLAGS) -o $@
  156 am_test_att_OBJECTS = test_att.$(OBJEXT)
  157 test_att_OBJECTS = $(am_test_att_OBJECTS)
  158 test_att_LDADD = $(LDADD)
  159 test_att_DEPENDENCIES = $(top_builddir)/cxx4/libnetcdf_c++4.la
  160 am_test_classic_OBJECTS = test_classic.$(OBJEXT)
  161 test_classic_OBJECTS = $(am_test_classic_OBJECTS)
  162 test_classic_LDADD = $(LDADD)
  163 test_classic_DEPENDENCIES = $(top_builddir)/cxx4/libnetcdf_c++4.la
  164 am_test_dim_OBJECTS = test_dim.$(OBJEXT)
  165 test_dim_OBJECTS = $(am_test_dim_OBJECTS)
  166 test_dim_LDADD = $(LDADD)
  167 test_dim_DEPENDENCIES = $(top_builddir)/cxx4/libnetcdf_c++4.la
  168 am_test_group_OBJECTS = test_group.$(OBJEXT)
  169 test_group_OBJECTS = $(am_test_group_OBJECTS)
  170 test_group_LDADD = $(LDADD)
  171 test_group_DEPENDENCIES = $(top_builddir)/cxx4/libnetcdf_c++4.la
  172 am_test_ncFile_Flags_OBJECTS = test_ncFile_Flags.$(OBJEXT)
  173 test_ncFile_Flags_OBJECTS = $(am_test_ncFile_Flags_OBJECTS)
  174 test_ncFile_Flags_LDADD = $(LDADD)
  175 test_ncFile_Flags_DEPENDENCIES =  \
  176 	$(top_builddir)/cxx4/libnetcdf_c++4.la
  177 am_test_open_close_OBJECTS = test_open_close.$(OBJEXT)
  178 test_open_close_OBJECTS = $(am_test_open_close_OBJECTS)
  179 test_open_close_LDADD = $(LDADD)
  180 test_open_close_DEPENDENCIES = $(top_builddir)/cxx4/libnetcdf_c++4.la
  181 am_test_type_OBJECTS = test_type.$(OBJEXT)
  182 test_type_OBJECTS = $(am_test_type_OBJECTS)
  183 test_type_LDADD = $(LDADD)
  184 test_type_DEPENDENCIES = $(top_builddir)/cxx4/libnetcdf_c++4.la
  185 am_test_var_OBJECTS = test_var.$(OBJEXT)
  186 test_var_OBJECTS = $(am_test_var_OBJECTS)
  187 test_var_LDADD = $(LDADD)
  188 test_var_DEPENDENCIES = $(top_builddir)/cxx4/libnetcdf_c++4.la
  189 am_test_var2_OBJECTS = test_var2.$(OBJEXT)
  190 test_var2_OBJECTS = $(am_test_var2_OBJECTS)
  191 test_var2_LDADD = $(LDADD)
  192 test_var2_DEPENDENCIES = $(top_builddir)/cxx4/libnetcdf_c++4.la
  193 AM_V_P = $(am__v_P_@AM_V@)
  194 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
  195 am__v_P_0 = false
  196 am__v_P_1 = :
  197 AM_V_GEN = $(am__v_GEN_@AM_V@)
  198 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
  199 am__v_GEN_0 = @echo "  GEN     " $@;
  200 am__v_GEN_1 = 
  201 AM_V_at = $(am__v_at_@AM_V@)
  202 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
  203 am__v_at_0 = @
  204 am__v_at_1 = 
  205 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
  206 depcomp = $(SHELL) $(top_srcdir)/depcomp
  207 am__maybe_remake_depfiles = depfiles
  208 am__depfiles_remade = ./$(DEPDIR)/ncAtt.Plo ./$(DEPDIR)/ncByte.Plo \
  209 	./$(DEPDIR)/ncChar.Plo ./$(DEPDIR)/ncCheck.Plo \
  210 	./$(DEPDIR)/ncCompoundType.Plo ./$(DEPDIR)/ncDim.Plo \
  211 	./$(DEPDIR)/ncDouble.Plo ./$(DEPDIR)/ncEnumType.Plo \
  212 	./$(DEPDIR)/ncException.Plo ./$(DEPDIR)/ncFile.Plo \
  213 	./$(DEPDIR)/ncFloat.Plo ./$(DEPDIR)/ncGroup.Plo \
  214 	./$(DEPDIR)/ncGroupAtt.Plo ./$(DEPDIR)/ncInt.Plo \
  215 	./$(DEPDIR)/ncInt64.Plo ./$(DEPDIR)/ncOpaqueType.Plo \
  216 	./$(DEPDIR)/ncShort.Plo ./$(DEPDIR)/ncString.Plo \
  217 	./$(DEPDIR)/ncType.Plo ./$(DEPDIR)/ncUbyte.Plo \
  218 	./$(DEPDIR)/ncUint.Plo ./$(DEPDIR)/ncUint64.Plo \
  219 	./$(DEPDIR)/ncUshort.Plo ./$(DEPDIR)/ncVar.Plo \
  220 	./$(DEPDIR)/ncVarAtt.Plo ./$(DEPDIR)/ncVlenType.Plo \
  221 	./$(DEPDIR)/test_att.Po ./$(DEPDIR)/test_classic.Po \
  222 	./$(DEPDIR)/test_dim.Po ./$(DEPDIR)/test_group.Po \
  223 	./$(DEPDIR)/test_ncFile_Flags.Po \
  224 	./$(DEPDIR)/test_open_close.Po ./$(DEPDIR)/test_type.Po \
  225 	./$(DEPDIR)/test_var.Po ./$(DEPDIR)/test_var2.Po
  226 am__mv = mv -f
  227 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
  228 	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
  229 LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
  230 	$(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
  231 	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
  232 	$(AM_CXXFLAGS) $(CXXFLAGS)
  233 AM_V_CXX = $(am__v_CXX_@AM_V@)
  234 am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
  235 am__v_CXX_0 = @echo "  CXX     " $@;
  236 am__v_CXX_1 = 
  237 CXXLD = $(CXX)
  238 CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
  239 	$(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
  240 	$(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
  241 AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
  242 am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
  243 am__v_CXXLD_0 = @echo "  CXXLD   " $@;
  244 am__v_CXXLD_1 = 
  245 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
  246 	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
  247 LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
  248 	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
  249 	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
  250 	$(AM_CFLAGS) $(CFLAGS)
  251 AM_V_CC = $(am__v_CC_@AM_V@)
  252 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
  253 am__v_CC_0 = @echo "  CC      " $@;
  254 am__v_CC_1 = 
  255 CCLD = $(CC)
  256 LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
  257 	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
  258 	$(AM_LDFLAGS) $(LDFLAGS) -o $@
  259 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
  260 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
  261 am__v_CCLD_0 = @echo "  CCLD    " $@;
  262 am__v_CCLD_1 = 
  263 SOURCES = $(libnetcdf_c__4_la_SOURCES) $(test_att_SOURCES) \
  264 	$(test_classic_SOURCES) $(test_dim_SOURCES) \
  265 	$(test_group_SOURCES) $(test_ncFile_Flags_SOURCES) \
  266 	$(test_open_close_SOURCES) $(test_type_SOURCES) \
  267 	$(test_var_SOURCES) $(test_var2_SOURCES)
  268 DIST_SOURCES = $(libnetcdf_c__4_la_SOURCES) $(test_att_SOURCES) \
  269 	$(test_classic_SOURCES) $(test_dim_SOURCES) \
  270 	$(test_group_SOURCES) $(test_ncFile_Flags_SOURCES) \
  271 	$(test_open_close_SOURCES) $(test_type_SOURCES) \
  272 	$(test_var_SOURCES) $(test_var2_SOURCES)
  273 am__can_run_installinfo = \
  274   case $$AM_UPDATE_INFO_DIR in \
  275     n|no|NO) false;; \
  276     *) (install-info --version) >/dev/null 2>&1;; \
  277   esac
  278 HEADERS = $(include_HEADERS)
  279 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
  280 # Read a list of newline-separated strings from the standard input,
  281 # and print each of them once, without duplicates.  Input order is
  282 # *not* preserved.
  283 am__uniquify_input = $(AWK) '\
  284   BEGIN { nonempty = 0; } \
  285   { items[$$0] = 1; nonempty = 1; } \
  286   END { if (nonempty) { for (i in items) print i; }; } \
  287 '
  288 # Make sure the list of sources is unique.  This is necessary because,
  289 # e.g., the same source file might be shared among _SOURCES variables
  290 # for different programs/libraries.
  291 am__define_uniq_tagged_files = \
  292   list='$(am__tagged_files)'; \
  293   unique=`for i in $$list; do \
  294     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  295   done | $(am__uniquify_input)`
  296 ETAGS = etags
  297 CTAGS = ctags
  298 am__tty_colors_dummy = \
  299   mgn= red= grn= lgn= blu= brg= std=; \
  300   am__color_tests=no
  301 am__tty_colors = { \
  302   $(am__tty_colors_dummy); \
  303   if test "X$(AM_COLOR_TESTS)" = Xno; then \
  304     am__color_tests=no; \
  305   elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
  306     am__color_tests=yes; \
  307   elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
  308     am__color_tests=yes; \
  309   fi; \
  310   if test $$am__color_tests = yes; then \
  311     red=''; \
  312     grn=''; \
  313     lgn=''; \
  314     blu=''; \
  315     mgn=''; \
  316     brg=''; \
  317     std=''; \
  318   fi; \
  319 }
  320 am__recheck_rx = ^[ 	]*:recheck:[ 	]*
  321 am__global_test_result_rx = ^[ 	]*:global-test-result:[ 	]*
  322 am__copy_in_global_log_rx = ^[ 	]*:copy-in-global-log:[ 	]*
  323 # A command that, given a newline-separated list of test names on the
  324 # standard input, print the name of the tests that are to be re-run
  325 # upon "make recheck".
  326 am__list_recheck_tests = $(AWK) '{ \
  327   recheck = 1; \
  328   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
  329     { \
  330       if (rc < 0) \
  331         { \
  332           if ((getline line2 < ($$0 ".log")) < 0) \
  333 	    recheck = 0; \
  334           break; \
  335         } \
  336       else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
  337         { \
  338           recheck = 0; \
  339           break; \
  340         } \
  341       else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
  342         { \
  343           break; \
  344         } \
  345     }; \
  346   if (recheck) \
  347     print $$0; \
  348   close ($$0 ".trs"); \
  349   close ($$0 ".log"); \
  350 }'
  351 # A command that, given a newline-separated list of test names on the
  352 # standard input, create the global log from their .trs and .log files.
  353 am__create_global_log = $(AWK) ' \
  354 function fatal(msg) \
  355 { \
  356   print "fatal: making $@: " msg | "cat >&2"; \
  357   exit 1; \
  358 } \
  359 function rst_section(header) \
  360 { \
  361   print header; \
  362   len = length(header); \
  363   for (i = 1; i <= len; i = i + 1) \
  364     printf "="; \
  365   printf "\n\n"; \
  366 } \
  367 { \
  368   copy_in_global_log = 1; \
  369   global_test_result = "RUN"; \
  370   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
  371     { \
  372       if (rc < 0) \
  373          fatal("failed to read from " $$0 ".trs"); \
  374       if (line ~ /$(am__global_test_result_rx)/) \
  375         { \
  376           sub("$(am__global_test_result_rx)", "", line); \
  377           sub("[ 	]*$$", "", line); \
  378           global_test_result = line; \
  379         } \
  380       else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
  381         copy_in_global_log = 0; \
  382     }; \
  383   if (copy_in_global_log) \
  384     { \
  385       rst_section(global_test_result ": " $$0); \
  386       while ((rc = (getline line < ($$0 ".log"))) != 0) \
  387       { \
  388         if (rc < 0) \
  389           fatal("failed to read from " $$0 ".log"); \
  390         print line; \
  391       }; \
  392       printf "\n"; \
  393     }; \
  394   close ($$0 ".trs"); \
  395   close ($$0 ".log"); \
  396 }'
  397 # Restructured Text title.
  398 am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
  399 # Solaris 10 'make', and several other traditional 'make' implementations,
  400 # pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
  401 # by disabling -e (using the XSI extension "set +e") if it's set.
  402 am__sh_e_setup = case $$- in *e*) set +e;; esac
  403 # Default flags passed to test drivers.
  404 am__common_driver_flags = \
  405   --color-tests "$$am__color_tests" \
  406   --enable-hard-errors "$$am__enable_hard_errors" \
  407   --expect-failure "$$am__expect_failure"
  408 # To be inserted before the command running the test.  Creates the
  409 # directory for the log if needed.  Stores in $dir the directory
  410 # containing $f, in $tst the test, in $log the log.  Executes the
  411 # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
  412 # passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
  413 # will run the test scripts (or their associated LOG_COMPILER, if
  414 # thy have one).
  415 am__check_pre = \
  416 $(am__sh_e_setup);					\
  417 $(am__vpath_adj_setup) $(am__vpath_adj)			\
  418 $(am__tty_colors);					\
  419 srcdir=$(srcdir); export srcdir;			\
  420 case "$@" in						\
  421   */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;	\
  422     *) am__odir=.;; 					\
  423 esac;							\
  424 test "x$$am__odir" = x"." || test -d "$$am__odir" 	\
  425   || $(MKDIR_P) "$$am__odir" || exit $$?;		\
  426 if test -f "./$$f"; then dir=./;			\
  427 elif test -f "$$f"; then dir=;				\
  428 else dir="$(srcdir)/"; fi;				\
  429 tst=$$dir$$f; log='$@'; 				\
  430 if test -n '$(DISABLE_HARD_ERRORS)'; then		\
  431   am__enable_hard_errors=no; 				\
  432 else							\
  433   am__enable_hard_errors=yes; 				\
  434 fi; 							\
  435 case " $(XFAIL_TESTS) " in				\
  436   *[\ \	]$$f[\ \	]* | *[\ \	]$$dir$$f[\ \	]*) \
  437     am__expect_failure=yes;;				\
  438   *)							\
  439     am__expect_failure=no;;				\
  440 esac; 							\
  441 $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
  442 # A shell command to get the names of the tests scripts with any registered
  443 # extension removed (i.e., equivalently, the names of the test logs, with
  444 # the '.log' extension removed).  The result is saved in the shell variable
  445 # '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
  446 # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
  447 # since that might cause problem with VPATH rewrites for suffix-less tests.
  448 # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
  449 am__set_TESTS_bases = \
  450   bases='$(TEST_LOGS)'; \
  451   bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
  452   bases=`echo $$bases`
  453 RECHECK_LOGS = $(TEST_LOGS)
  454 AM_RECURSIVE_TARGETS = check recheck
  455 TEST_SUITE_LOG = test-suite.log
  456 TEST_EXTENSIONS = @EXEEXT@ .test
  457 LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
  458 LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
  459 am__set_b = \
  460   case '$@' in \
  461     */*) \
  462       case '$*' in \
  463         */*) b='$*';; \
  464           *) b=`echo '$@' | sed 's/\.log$$//'`; \
  465        esac;; \
  466     *) \
  467       b='$*';; \
  468   esac
  469 am__test_logs1 = $(TESTS:=.log)
  470 am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
  471 TEST_LOGS = $(am__test_logs2:.test.log=.log)
  472 TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
  473 TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
  474 	$(TEST_LOG_FLAGS)
  475 am__DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/findplugin.in \
  476 	$(top_srcdir)/depcomp $(top_srcdir)/test-driver
  477 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
  478 ACLOCAL = @ACLOCAL@
  479 AMTAR = @AMTAR@
  480 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
  481 AR = @AR@
  482 AUTOCONF = @AUTOCONF@
  483 AUTOHEADER = @AUTOHEADER@
  484 AUTOMAKE = @AUTOMAKE@
  485 AWK = @AWK@
  486 CC = @CC@
  487 CCDEPMODE = @CCDEPMODE@
  488 CFLAGS = @CFLAGS@
  489 CPP = @CPP@
  490 CPPFLAGS = @CPPFLAGS@
  491 CXX = @CXX@
  492 CXXCPP = @CXXCPP@
  493 CXXDEPMODE = @CXXDEPMODE@
  494 CXXFLAGS = @CXXFLAGS@
  495 CYGPATH_W = @CYGPATH_W@
  496 DEFS = @DEFS@
  497 DEPDIR = @DEPDIR@
  498 DLLTOOL = @DLLTOOL@
  499 DOT = @DOT@
  500 DOXYGEN = @DOXYGEN@
  501 DOXYGEN_CSS_FILE = @DOXYGEN_CSS_FILE@
  502 DOXYGEN_HEADER_FILE = @DOXYGEN_HEADER_FILE@
  503 DOXYGEN_SEARCHENGINE = @DOXYGEN_SEARCHENGINE@
  504 DSYMUTIL = @DSYMUTIL@
  505 DUMPBIN = @DUMPBIN@
  506 ECHO_C = @ECHO_C@
  507 ECHO_N = @ECHO_N@
  508 ECHO_T = @ECHO_T@
  509 EGREP = @EGREP@
  510 ENABLE_FILTER_TESTING = @ENABLE_FILTER_TESTING@
  511 EXEEXT = @EXEEXT@
  512 FGREP = @FGREP@
  513 GREP = @GREP@
  514 HAS_DAP = @HAS_DAP@
  515 HAS_NC2 = @HAS_NC2@
  516 HAS_NC4 = @HAS_NC4@
  517 HAVE_DOT = @HAVE_DOT@
  518 INSTALL = @INSTALL@
  519 INSTALL_DATA = @INSTALL_DATA@
  520 INSTALL_PROGRAM = @INSTALL_PROGRAM@
  521 INSTALL_SCRIPT = @INSTALL_SCRIPT@
  522 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
  523 ISCMAKE = @ISCMAKE@
  524 LD = @LD@
  525 LDFLAGS = @LDFLAGS@
  526 LIBOBJS = @LIBOBJS@
  527 LIBS = @LIBS@
  528 LIBTOOL = @LIBTOOL@
  529 LIPO = @LIPO@
  530 LN_S = @LN_S@
  531 LTLIBOBJS = @LTLIBOBJS@
  532 LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
  533 MAINT = @MAINT@
  534 MAKEINFO = @MAKEINFO@
  535 MANIFEST_TOOL = @MANIFEST_TOOL@
  536 MKDIR_P = @MKDIR_P@
  537 MSVC = @MSVC@
  538 NCCONF = @NCCONF@
  539 NC_HAS_FILTERS = @NC_HAS_FILTERS@
  540 NC_LIBS = @NC_LIBS@
  541 NM = @NM@
  542 NMEDIT = @NMEDIT@
  543 OBJDUMP = @OBJDUMP@
  544 OBJEXT = @OBJEXT@
  545 OTOOL = @OTOOL@
  546 OTOOL64 = @OTOOL64@
  547 PACKAGE = @PACKAGE@
  548 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
  549 PACKAGE_NAME = @PACKAGE_NAME@
  550 PACKAGE_STRING = @PACKAGE_STRING@
  551 PACKAGE_TARNAME = @PACKAGE_TARNAME@
  552 PACKAGE_URL = @PACKAGE_URL@
  553 PACKAGE_VERSION = @PACKAGE_VERSION@
  554 PATH_SEPARATOR = @PATH_SEPARATOR@
  555 RANLIB = @RANLIB@
  556 SED = @SED@
  557 SET_MAKE = @SET_MAKE@
  558 SHELL = @SHELL@
  559 STRIP = @STRIP@
  560 VERSION = @VERSION@
  561 abs_builddir = @abs_builddir@
  562 abs_srcdir = @abs_srcdir@
  563 abs_top_builddir = @abs_top_builddir@
  564 abs_top_srcdir = @abs_top_srcdir@
  565 ac_ct_AR = @ac_ct_AR@
  566 ac_ct_CC = @ac_ct_CC@
  567 ac_ct_CXX = @ac_ct_CXX@
  568 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
  569 am__include = @am__include@
  570 am__leading_dot = @am__leading_dot@
  571 am__quote = @am__quote@
  572 am__tar = @am__tar@
  573 am__untar = @am__untar@
  574 bindir = @bindir@
  575 build = @build@
  576 build_alias = @build_alias@
  577 build_cpu = @build_cpu@
  578 build_os = @build_os@
  579 build_vendor = @build_vendor@
  580 builddir = @builddir@
  581 datadir = @datadir@
  582 datarootdir = @datarootdir@
  583 docdir = @docdir@
  584 dvidir = @dvidir@
  585 exec_prefix = @exec_prefix@
  586 host = @host@
  587 host_alias = @host_alias@
  588 host_cpu = @host_cpu@
  589 host_os = @host_os@
  590 host_vendor = @host_vendor@
  591 htmldir = @htmldir@
  592 includedir = @includedir@
  593 infodir = @infodir@
  594 install_sh = @install_sh@
  595 libdir = @libdir@
  596 libexecdir = @libexecdir@
  597 localedir = @localedir@
  598 localstatedir = @localstatedir@
  599 mandir = @mandir@
  600 mkdir_p = @mkdir_p@
  601 oldincludedir = @oldincludedir@
  602 pdfdir = @pdfdir@
  603 prefix = @prefix@
  604 program_transform_name = @program_transform_name@
  605 psdir = @psdir@
  606 runstatedir = @runstatedir@
  607 sbindir = @sbindir@
  608 sharedstatedir = @sharedstatedir@
  609 srcdir = @srcdir@
  610 sysconfdir = @sysconfdir@
  611 target = @target@
  612 target_alias = @target_alias@
  613 target_cpu = @target_cpu@
  614 target_os = @target_os@
  615 target_vendor = @target_vendor@
  616 top_build_prefix = @top_build_prefix@
  617 top_builddir = @top_builddir@
  618 top_srcdir = @top_srcdir@
  619 
  620 # Point pre-preprocessor to netcdf-4 directory (libsrc4).
  621 LDADD = $(top_builddir)/cxx4/libnetcdf_c++4.la  -lnetcdf
  622 
  623 # This is our output library.
  624 lib_LTLIBRARIES = libnetcdf_c++4.la
  625 
  626 # For rules updating the version info, see
  627 # http://www.gnu.org/s/libtool/manual/html_node/Updating-version-info.html
  628 libnetcdf_c__4_la_LDFLAGS = -version-info 2:0:1 -no-undefined
  629 
  630 # These headers will be installed in the users header directory.
  631 include_HEADERS = netcdf ncAtt.h ncCheck.h ncDim.h ncException.h	\
  632 ncGroup.h ncOpaqueType.h ncVar.h ncVlenType.h ncCompoundType.h		\
  633 ncEnumType.h ncFile.h ncGroupAtt.h ncType.h ncVarAtt.h ncByte.h		\
  634 ncChar.h ncShort.h ncInt.h ncFloat.h ncDouble.h ncUbyte.h ncUshort.h	\
  635 ncUint.h ncInt64.h ncUint64.h ncString.h
  636 
  637 
  638 # Library source.
  639 libnetcdf_c__4_la_SOURCES = ncAtt.cpp ncCheck.cpp ncCompoundType.cpp	\
  640 ncDim.cpp ncEnumType.cpp ncException.cpp ncFile.cpp ncGroup.cpp		\
  641 ncGroupAtt.cpp ncOpaqueType.cpp ncType.cpp ncVar.cpp ncVarAtt.cpp	\
  642 ncVlenType.cpp ncByte.cpp ncChar.cpp ncShort.cpp ncInt.cpp ncFloat.cpp	\
  643 ncDouble.cpp ncUbyte.cpp ncUshort.cpp ncUint.cpp ncInt64.cpp		\
  644 ncUint64.cpp ncString.cpp
  645 
  646 
  647 # These are the tests.
  648 TESTFILES = test_classic$(EXEEXT) test_group$(EXEEXT)	\
  649 test_dim$(EXEEXT) test_att$(EXEEXT) test_var$(EXEEXT)	\
  650 test_var2$(EXEEXT) test_type$(EXEEXT) test_open_close$(EXEEXT) \
  651 test_ncFile_Flags$(EXEEXT)
  652 
  653 test_classic_SOURCES = test_classic.cpp
  654 test_group_SOURCES = test_group.cpp
  655 test_dim_SOURCES = test_dim.cpp
  656 test_att_SOURCES = test_att.cpp test_utilities.h
  657 test_var_SOURCES = test_var.cpp test_utilities.h
  658 test_var2_SOURCES = test_var2.cpp test_utilities.h
  659 test_type_SOURCES = test_type.cpp test_utilities.h
  660 test_open_close_SOURCES = test_open_close.cpp test_utilities.h
  661 test_ncFile_Flags_SOURCES = test_ncFile_Flags.cpp test_utilities.h
  662 
  663 # Build and run these tests.
  664 check_PROGRAMS = $(TESTFILES)
  665 TESTS = $(TESTFILES)
  666 CLEANFILES = firstFile.cdf test*.nc
  667 EXTRA_DIST = test_filter.cpp
  668 all: all-am
  669 
  670 .SUFFIXES:
  671 .SUFFIXES: .cpp .lo .log .o .obj .test .test$(EXEEXT) .trs
  672 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
  673 	@for dep in $?; do \
  674 	  case '$(am__configure_deps)' in \
  675 	    *$$dep*) \
  676 	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
  677 	        && { if test -f $@; then exit 0; else break; fi; }; \
  678 	      exit 1;; \
  679 	  esac; \
  680 	done; \
  681 	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign cxx4/Makefile'; \
  682 	$(am__cd) $(top_srcdir) && \
  683 	  $(AUTOMAKE) --foreign cxx4/Makefile
  684 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
  685 	@case '$?' in \
  686 	  *config.status*) \
  687 	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
  688 	  *) \
  689 	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
  690 	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
  691 	esac;
  692 
  693 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  694 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  695 
  696 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
  697 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  698 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
  699 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  700 $(am__aclocal_m4_deps):
  701 findplugin.sh: $(top_builddir)/config.status $(srcdir)/findplugin.in
  702 	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
  703 
  704 clean-checkPROGRAMS:
  705 	@list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
  706 	echo " rm -f" $$list; \
  707 	rm -f $$list || exit $$?; \
  708 	test -n "$(EXEEXT)" || exit 0; \
  709 	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
  710 	echo " rm -f" $$list; \
  711 	rm -f $$list
  712 
  713 install-libLTLIBRARIES: $(lib_LTLIBRARIES)
  714 	@$(NORMAL_INSTALL)
  715 	@list='$(lib_LTLIBRARIES)'; test -n "$(libdir)" || list=; \
  716 	list2=; for p in $$list; do \
  717 	  if test -f $$p; then \
  718 	    list2="$$list2 $$p"; \
  719 	  else :; fi; \
  720 	done; \
  721 	test -z "$$list2" || { \
  722 	  echo " $(MKDIR_P) '$(DESTDIR)$(libdir)'"; \
  723 	  $(MKDIR_P) "$(DESTDIR)$(libdir)" || exit 1; \
  724 	  echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(libdir)'"; \
  725 	  $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(libdir)"; \
  726 	}
  727 
  728 uninstall-libLTLIBRARIES:
  729 	@$(NORMAL_UNINSTALL)
  730 	@list='$(lib_LTLIBRARIES)'; test -n "$(libdir)" || list=; \
  731 	for p in $$list; do \
  732 	  $(am__strip_dir) \
  733 	  echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(libdir)/$$f'"; \
  734 	  $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(libdir)/$$f"; \
  735 	done
  736 
  737 clean-libLTLIBRARIES:
  738 	-test -z "$(lib_LTLIBRARIES)" || rm -f $(lib_LTLIBRARIES)
  739 	@list='$(lib_LTLIBRARIES)'; \
  740 	locs=`for p in $$list; do echo $$p; done | \
  741 	      sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
  742 	      sort -u`; \
  743 	test -z "$$locs" || { \
  744 	  echo rm -f $${locs}; \
  745 	  rm -f $${locs}; \
  746 	}
  747 
  748 libnetcdf_c++4.la: $(libnetcdf_c__4_la_OBJECTS) $(libnetcdf_c__4_la_DEPENDENCIES) $(EXTRA_libnetcdf_c__4_la_DEPENDENCIES) 
  749 	$(AM_V_CXXLD)$(libnetcdf_c__4_la_LINK) -rpath $(libdir) $(libnetcdf_c__4_la_OBJECTS) $(libnetcdf_c__4_la_LIBADD) $(LIBS)
  750 
  751 test_att$(EXEEXT): $(test_att_OBJECTS) $(test_att_DEPENDENCIES) $(EXTRA_test_att_DEPENDENCIES) 
  752 	@rm -f test_att$(EXEEXT)
  753 	$(AM_V_CXXLD)$(CXXLINK) $(test_att_OBJECTS) $(test_att_LDADD) $(LIBS)
  754 
  755 test_classic$(EXEEXT): $(test_classic_OBJECTS) $(test_classic_DEPENDENCIES) $(EXTRA_test_classic_DEPENDENCIES) 
  756 	@rm -f test_classic$(EXEEXT)
  757 	$(AM_V_CXXLD)$(CXXLINK) $(test_classic_OBJECTS) $(test_classic_LDADD) $(LIBS)
  758 
  759 test_dim$(EXEEXT): $(test_dim_OBJECTS) $(test_dim_DEPENDENCIES) $(EXTRA_test_dim_DEPENDENCIES) 
  760 	@rm -f test_dim$(EXEEXT)
  761 	$(AM_V_CXXLD)$(CXXLINK) $(test_dim_OBJECTS) $(test_dim_LDADD) $(LIBS)
  762 
  763 test_group$(EXEEXT): $(test_group_OBJECTS) $(test_group_DEPENDENCIES) $(EXTRA_test_group_DEPENDENCIES) 
  764 	@rm -f test_group$(EXEEXT)
  765 	$(AM_V_CXXLD)$(CXXLINK) $(test_group_OBJECTS) $(test_group_LDADD) $(LIBS)
  766 
  767 test_ncFile_Flags$(EXEEXT): $(test_ncFile_Flags_OBJECTS) $(test_ncFile_Flags_DEPENDENCIES) $(EXTRA_test_ncFile_Flags_DEPENDENCIES) 
  768 	@rm -f test_ncFile_Flags$(EXEEXT)
  769 	$(AM_V_CXXLD)$(CXXLINK) $(test_ncFile_Flags_OBJECTS) $(test_ncFile_Flags_LDADD) $(LIBS)
  770 
  771 test_open_close$(EXEEXT): $(test_open_close_OBJECTS) $(test_open_close_DEPENDENCIES) $(EXTRA_test_open_close_DEPENDENCIES) 
  772 	@rm -f test_open_close$(EXEEXT)
  773 	$(AM_V_CXXLD)$(CXXLINK) $(test_open_close_OBJECTS) $(test_open_close_LDADD) $(LIBS)
  774 
  775 test_type$(EXEEXT): $(test_type_OBJECTS) $(test_type_DEPENDENCIES) $(EXTRA_test_type_DEPENDENCIES) 
  776 	@rm -f test_type$(EXEEXT)
  777 	$(AM_V_CXXLD)$(CXXLINK) $(test_type_OBJECTS) $(test_type_LDADD) $(LIBS)
  778 
  779 test_var$(EXEEXT): $(test_var_OBJECTS) $(test_var_DEPENDENCIES) $(EXTRA_test_var_DEPENDENCIES) 
  780 	@rm -f test_var$(EXEEXT)
  781 	$(AM_V_CXXLD)$(CXXLINK) $(test_var_OBJECTS) $(test_var_LDADD) $(LIBS)
  782 
  783 test_var2$(EXEEXT): $(test_var2_OBJECTS) $(test_var2_DEPENDENCIES) $(EXTRA_test_var2_DEPENDENCIES) 
  784 	@rm -f test_var2$(EXEEXT)
  785 	$(AM_V_CXXLD)$(CXXLINK) $(test_var2_OBJECTS) $(test_var2_LDADD) $(LIBS)
  786 
  787 mostlyclean-compile:
  788 	-rm -f *.$(OBJEXT)
  789 
  790 distclean-compile:
  791 	-rm -f *.tab.c
  792 
  793 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ncAtt.Plo@am__quote@ # am--include-marker
  794 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ncByte.Plo@am__quote@ # am--include-marker
  795 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ncChar.Plo@am__quote@ # am--include-marker
  796 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ncCheck.Plo@am__quote@ # am--include-marker
  797 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ncCompoundType.Plo@am__quote@ # am--include-marker
  798 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ncDim.Plo@am__quote@ # am--include-marker
  799 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ncDouble.Plo@am__quote@ # am--include-marker
  800 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ncEnumType.Plo@am__quote@ # am--include-marker
  801 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ncException.Plo@am__quote@ # am--include-marker
  802 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ncFile.Plo@am__quote@ # am--include-marker
  803 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ncFloat.Plo@am__quote@ # am--include-marker
  804 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ncGroup.Plo@am__quote@ # am--include-marker
  805 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ncGroupAtt.Plo@am__quote@ # am--include-marker
  806 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ncInt.Plo@am__quote@ # am--include-marker
  807 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ncInt64.Plo@am__quote@ # am--include-marker
  808 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ncOpaqueType.Plo@am__quote@ # am--include-marker
  809 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ncShort.Plo@am__quote@ # am--include-marker
  810 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ncString.Plo@am__quote@ # am--include-marker
  811 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ncType.Plo@am__quote@ # am--include-marker
  812 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ncUbyte.Plo@am__quote@ # am--include-marker
  813 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ncUint.Plo@am__quote@ # am--include-marker
  814 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ncUint64.Plo@am__quote@ # am--include-marker
  815 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ncUshort.Plo@am__quote@ # am--include-marker
  816 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ncVar.Plo@am__quote@ # am--include-marker
  817 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ncVarAtt.Plo@am__quote@ # am--include-marker
  818 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ncVlenType.Plo@am__quote@ # am--include-marker
  819 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_att.Po@am__quote@ # am--include-marker
  820 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_classic.Po@am__quote@ # am--include-marker
  821 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_dim.Po@am__quote@ # am--include-marker
  822 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_group.Po@am__quote@ # am--include-marker
  823 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_ncFile_Flags.Po@am__quote@ # am--include-marker
  824 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_open_close.Po@am__quote@ # am--include-marker
  825 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_type.Po@am__quote@ # am--include-marker
  826 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_var.Po@am__quote@ # am--include-marker
  827 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_var2.Po@am__quote@ # am--include-marker
  828 
  829 $(am__depfiles_remade):
  830 	@$(MKDIR_P) $(@D)
  831 	@echo '# dummy' >$@-t && $(am__mv) $@-t $@
  832 
  833 am--depfiles: $(am__depfiles_remade)
  834 
  835 .cpp.o:
  836 @am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
  837 @am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
  838 @am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
  839 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
  840 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  841 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
  842 
  843 .cpp.obj:
  844 @am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
  845 @am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
  846 @am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
  847 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
  848 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  849 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
  850 
  851 .cpp.lo:
  852 @am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
  853 @am__fastdepCXX_TRUE@	$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
  854 @am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Plo
  855 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
  856 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  857 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
  858 
  859 mostlyclean-libtool:
  860 	-rm -f *.lo
  861 
  862 clean-libtool:
  863 	-rm -rf .libs _libs
  864 install-includeHEADERS: $(include_HEADERS)
  865 	@$(NORMAL_INSTALL)
  866 	@list='$(include_HEADERS)'; test -n "$(includedir)" || list=; \
  867 	if test -n "$$list"; then \
  868 	  echo " $(MKDIR_P) '$(DESTDIR)$(includedir)'"; \
  869 	  $(MKDIR_P) "$(DESTDIR)$(includedir)" || exit 1; \
  870 	fi; \
  871 	for p in $$list; do \
  872 	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
  873 	  echo "$$d$$p"; \
  874 	done | $(am__base_list) | \
  875 	while read files; do \
  876 	  echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(includedir)'"; \
  877 	  $(INSTALL_HEADER) $$files "$(DESTDIR)$(includedir)" || exit $$?; \
  878 	done
  879 
  880 uninstall-includeHEADERS:
  881 	@$(NORMAL_UNINSTALL)
  882 	@list='$(include_HEADERS)'; test -n "$(includedir)" || list=; \
  883 	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
  884 	dir='$(DESTDIR)$(includedir)'; $(am__uninstall_files_from_dir)
  885 
  886 ID: $(am__tagged_files)
  887 	$(am__define_uniq_tagged_files); mkid -fID $$unique
  888 tags: tags-am
  889 TAGS: tags
  890 
  891 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  892 	set x; \
  893 	here=`pwd`; \
  894 	$(am__define_uniq_tagged_files); \
  895 	shift; \
  896 	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
  897 	  test -n "$$unique" || unique=$$empty_fix; \
  898 	  if test $$# -gt 0; then \
  899 	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  900 	      "$$@" $$unique; \
  901 	  else \
  902 	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  903 	      $$unique; \
  904 	  fi; \
  905 	fi
  906 ctags: ctags-am
  907 
  908 CTAGS: ctags
  909 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  910 	$(am__define_uniq_tagged_files); \
  911 	test -z "$(CTAGS_ARGS)$$unique" \
  912 	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
  913 	     $$unique
  914 
  915 GTAGS:
  916 	here=`$(am__cd) $(top_builddir) && pwd` \
  917 	  && $(am__cd) $(top_srcdir) \
  918 	  && gtags -i $(GTAGS_ARGS) "$$here"
  919 cscopelist: cscopelist-am
  920 
  921 cscopelist-am: $(am__tagged_files)
  922 	list='$(am__tagged_files)'; \
  923 	case "$(srcdir)" in \
  924 	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
  925 	  *) sdir=$(subdir)/$(srcdir) ;; \
  926 	esac; \
  927 	for i in $$list; do \
  928 	  if test -f "$$i"; then \
  929 	    echo "$(subdir)/$$i"; \
  930 	  else \
  931 	    echo "$$sdir/$$i"; \
  932 	  fi; \
  933 	done >> $(top_builddir)/cscope.files
  934 
  935 distclean-tags:
  936 	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
  937 
  938 # Recover from deleted '.trs' file; this should ensure that
  939 # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
  940 # both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
  941 # to avoid problems with "make -n".
  942 .log.trs:
  943 	rm -f $< $@
  944 	$(MAKE) $(AM_MAKEFLAGS) $<
  945 
  946 # Leading 'am--fnord' is there to ensure the list of targets does not
  947 # expand to empty, as could happen e.g. with make check TESTS=''.
  948 am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
  949 am--force-recheck:
  950 	@:
  951 
  952 $(TEST_SUITE_LOG): $(TEST_LOGS)
  953 	@$(am__set_TESTS_bases); \
  954 	am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
  955 	redo_bases=`for i in $$bases; do \
  956 	              am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
  957 	            done`; \
  958 	if test -n "$$redo_bases"; then \
  959 	  redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
  960 	  redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
  961 	  if $(am__make_dryrun); then :; else \
  962 	    rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
  963 	  fi; \
  964 	fi; \
  965 	if test -n "$$am__remaking_logs"; then \
  966 	  echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
  967 	       "recursion detected" >&2; \
  968 	elif test -n "$$redo_logs"; then \
  969 	  am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
  970 	fi; \
  971 	if $(am__make_dryrun); then :; else \
  972 	  st=0;  \
  973 	  errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
  974 	  for i in $$redo_bases; do \
  975 	    test -f $$i.trs && test -r $$i.trs \
  976 	      || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
  977 	    test -f $$i.log && test -r $$i.log \
  978 	      || { echo "$$errmsg $$i.log" >&2; st=1; }; \
  979 	  done; \
  980 	  test $$st -eq 0 || exit 1; \
  981 	fi
  982 	@$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
  983 	ws='[ 	]'; \
  984 	results=`for b in $$bases; do echo $$b.trs; done`; \
  985 	test -n "$$results" || results=/dev/null; \
  986 	all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
  987 	pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
  988 	fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
  989 	skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
  990 	xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
  991 	xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
  992 	error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
  993 	if test `expr $$fail + $$xpass + $$error` -eq 0; then \
  994 	  success=true; \
  995 	else \
  996 	  success=false; \
  997 	fi; \
  998 	br='==================='; br=$$br$$br$$br$$br; \
  999 	result_count () \
 1000 	{ \
 1001 	    if test x"$$1" = x"--maybe-color"; then \
 1002 	      maybe_colorize=yes; \
 1003 	    elif test x"$$1" = x"--no-color"; then \
 1004 	      maybe_colorize=no; \
 1005 	    else \
 1006 	      echo "$@: invalid 'result_count' usage" >&2; exit 4; \
 1007 	    fi; \
 1008 	    shift; \
 1009 	    desc=$$1 count=$$2; \
 1010 	    if test $$maybe_colorize = yes && test $$count -gt 0; then \
 1011 	      color_start=$$3 color_end=$$std; \
 1012 	    else \
 1013 	      color_start= color_end=; \
 1014 	    fi; \
 1015 	    echo "$${color_start}# $$desc $$count$${color_end}"; \
 1016 	}; \
 1017 	create_testsuite_report () \
 1018 	{ \
 1019 	  result_count $$1 "TOTAL:" $$all   "$$brg"; \
 1020 	  result_count $$1 "PASS: " $$pass  "$$grn"; \
 1021 	  result_count $$1 "SKIP: " $$skip  "$$blu"; \
 1022 	  result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
 1023 	  result_count $$1 "FAIL: " $$fail  "$$red"; \
 1024 	  result_count $$1 "XPASS:" $$xpass "$$red"; \
 1025 	  result_count $$1 "ERROR:" $$error "$$mgn"; \
 1026 	}; \
 1027 	{								\
 1028 	  echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |	\
 1029 	    $(am__rst_title);						\
 1030 	  create_testsuite_report --no-color;				\
 1031 	  echo;								\
 1032 	  echo ".. contents:: :depth: 2";				\
 1033 	  echo;								\
 1034 	  for b in $$bases; do echo $$b; done				\
 1035 	    | $(am__create_global_log);					\
 1036 	} >$(TEST_SUITE_LOG).tmp || exit 1;				\
 1037 	mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);			\
 1038 	if $$success; then						\
 1039 	  col="$$grn";							\
 1040 	 else								\
 1041 	  col="$$red";							\
 1042 	  test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);		\
 1043 	fi;								\
 1044 	echo "$${col}$$br$${std}"; 					\
 1045 	echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";	\
 1046 	echo "$${col}$$br$${std}"; 					\
 1047 	create_testsuite_report --maybe-color;				\
 1048 	echo "$$col$$br$$std";						\
 1049 	if $$success; then :; else					\
 1050 	  echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";		\
 1051 	  if test -n "$(PACKAGE_BUGREPORT)"; then			\
 1052 	    echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}";	\
 1053 	  fi;								\
 1054 	  echo "$$col$$br$$std";					\
 1055 	fi;								\
 1056 	$$success || exit 1
 1057 
 1058 check-TESTS: $(check_PROGRAMS)
 1059 	@list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
 1060 	@list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
 1061 	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
 1062 	@set +e; $(am__set_TESTS_bases); \
 1063 	log_list=`for i in $$bases; do echo $$i.log; done`; \
 1064 	trs_list=`for i in $$bases; do echo $$i.trs; done`; \
 1065 	log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
 1066 	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
 1067 	exit $$?;
 1068 recheck: all $(check_PROGRAMS)
 1069 	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
 1070 	@set +e; $(am__set_TESTS_bases); \
 1071 	bases=`for i in $$bases; do echo $$i; done \
 1072 	         | $(am__list_recheck_tests)` || exit 1; \
 1073 	log_list=`for i in $$bases; do echo $$i.log; done`; \
 1074 	log_list=`echo $$log_list`; \
 1075 	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
 1076 	        am__force_recheck=am--force-recheck \
 1077 	        TEST_LOGS="$$log_list"; \
 1078 	exit $$?
 1079 test_classic.log: test_classic$(EXEEXT)
 1080 	@p='test_classic$(EXEEXT)'; \
 1081 	b='test_classic'; \
 1082 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
 1083 	--log-file $$b.log --trs-file $$b.trs \
 1084 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
 1085 	"$$tst" $(AM_TESTS_FD_REDIRECT)
 1086 test_group.log: test_group$(EXEEXT)
 1087 	@p='test_group$(EXEEXT)'; \
 1088 	b='test_group'; \
 1089 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
 1090 	--log-file $$b.log --trs-file $$b.trs \
 1091 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
 1092 	"$$tst" $(AM_TESTS_FD_REDIRECT)
 1093 test_dim.log: test_dim$(EXEEXT)
 1094 	@p='test_dim$(EXEEXT)'; \
 1095 	b='test_dim'; \
 1096 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
 1097 	--log-file $$b.log --trs-file $$b.trs \
 1098 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
 1099 	"$$tst" $(AM_TESTS_FD_REDIRECT)
 1100 test_att.log: test_att$(EXEEXT)
 1101 	@p='test_att$(EXEEXT)'; \
 1102 	b='test_att'; \
 1103 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
 1104 	--log-file $$b.log --trs-file $$b.trs \
 1105 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
 1106 	"$$tst" $(AM_TESTS_FD_REDIRECT)
 1107 test_var.log: test_var$(EXEEXT)
 1108 	@p='test_var$(EXEEXT)'; \
 1109 	b='test_var'; \
 1110 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
 1111 	--log-file $$b.log --trs-file $$b.trs \
 1112 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
 1113 	"$$tst" $(AM_TESTS_FD_REDIRECT)
 1114 test_var2.log: test_var2$(EXEEXT)
 1115 	@p='test_var2$(EXEEXT)'; \
 1116 	b='test_var2'; \
 1117 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
 1118 	--log-file $$b.log --trs-file $$b.trs \
 1119 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
 1120 	"$$tst" $(AM_TESTS_FD_REDIRECT)
 1121 test_type.log: test_type$(EXEEXT)
 1122 	@p='test_type$(EXEEXT)'; \
 1123 	b='test_type'; \
 1124 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
 1125 	--log-file $$b.log --trs-file $$b.trs \
 1126 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
 1127 	"$$tst" $(AM_TESTS_FD_REDIRECT)
 1128 test_open_close.log: test_open_close$(EXEEXT)
 1129 	@p='test_open_close$(EXEEXT)'; \
 1130 	b='test_open_close'; \
 1131 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
 1132 	--log-file $$b.log --trs-file $$b.trs \
 1133 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
 1134 	"$$tst" $(AM_TESTS_FD_REDIRECT)
 1135 test_ncFile_Flags.log: test_ncFile_Flags$(EXEEXT)
 1136 	@p='test_ncFile_Flags$(EXEEXT)'; \
 1137 	b='test_ncFile_Flags'; \
 1138 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
 1139 	--log-file $$b.log --trs-file $$b.trs \
 1140 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
 1141 	"$$tst" $(AM_TESTS_FD_REDIRECT)
 1142 .test.log:
 1143 	@p='$<'; \
 1144 	$(am__set_b); \
 1145 	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
 1146 	--log-file $$b.log --trs-file $$b.trs \
 1147 	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
 1148 	"$$tst" $(AM_TESTS_FD_REDIRECT)
 1149 @am__EXEEXT_TRUE@.test$(EXEEXT).log:
 1150 @am__EXEEXT_TRUE@	@p='$<'; \
 1151 @am__EXEEXT_TRUE@	$(am__set_b); \
 1152 @am__EXEEXT_TRUE@	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
 1153 @am__EXEEXT_TRUE@	--log-file $$b.log --trs-file $$b.trs \
 1154 @am__EXEEXT_TRUE@	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
 1155 @am__EXEEXT_TRUE@	"$$tst" $(AM_TESTS_FD_REDIRECT)
 1156 
 1157 distdir: $(BUILT_SOURCES)
 1158 	$(MAKE) $(AM_MAKEFLAGS) distdir-am
 1159 
 1160 distdir-am: $(DISTFILES)
 1161 	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
 1162 	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
 1163 	list='$(DISTFILES)'; \
 1164 	  dist_files=`for file in $$list; do echo $$file; done | \
 1165 	  sed -e "s|^$$srcdirstrip/||;t" \
 1166 	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
 1167 	case $$dist_files in \
 1168 	  */*) $(MKDIR_P) `echo "$$dist_files" | \
 1169 			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
 1170 			   sort -u` ;; \
 1171 	esac; \
 1172 	for file in $$dist_files; do \
 1173 	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
 1174 	  if test -d $$d/$$file; then \
 1175 	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
 1176 	    if test -d "$(distdir)/$$file"; then \
 1177 	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
 1178 	    fi; \
 1179 	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
 1180 	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
 1181 	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
 1182 	    fi; \
 1183 	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
 1184 	  else \
 1185 	    test -f "$(distdir)/$$file" \
 1186 	    || cp -p $$d/$$file "$(distdir)/$$file" \
 1187 	    || exit 1; \
 1188 	  fi; \
 1189 	done
 1190 check-am: all-am
 1191 	$(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
 1192 	$(MAKE) $(AM_MAKEFLAGS) check-TESTS
 1193 check: check-am
 1194 all-am: Makefile $(LTLIBRARIES) $(HEADERS)
 1195 installdirs:
 1196 	for dir in "$(DESTDIR)$(libdir)" "$(DESTDIR)$(includedir)"; do \
 1197 	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
 1198 	done
 1199 install: install-am
 1200 install-exec: install-exec-am
 1201 install-data: install-data-am
 1202 uninstall: uninstall-am
 1203 
 1204 install-am: all-am
 1205 	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
 1206 
 1207 installcheck: installcheck-am
 1208 install-strip:
 1209 	if test -z '$(STRIP)'; then \
 1210 	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
 1211 	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
 1212 	      install; \
 1213 	else \
 1214 	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
 1215 	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
 1216 	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
 1217 	fi
 1218 mostlyclean-generic:
 1219 	-test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
 1220 	-test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
 1221 	-test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
 1222 
 1223 clean-generic:
 1224 	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
 1225 
 1226 distclean-generic:
 1227 	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
 1228 	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
 1229 
 1230 maintainer-clean-generic:
 1231 	@echo "This command is intended for maintainers to use"
 1232 	@echo "it deletes files that may require special tools to rebuild."
 1233 clean: clean-am
 1234 
 1235 clean-am: clean-checkPROGRAMS clean-generic clean-libLTLIBRARIES \
 1236 	clean-libtool mostlyclean-am
 1237 
 1238 distclean: distclean-am
 1239 		-rm -f ./$(DEPDIR)/ncAtt.Plo
 1240 	-rm -f ./$(DEPDIR)/ncByte.Plo
 1241 	-rm -f ./$(DEPDIR)/ncChar.Plo
 1242 	-rm -f ./$(DEPDIR)/ncCheck.Plo
 1243 	-rm -f ./$(DEPDIR)/ncCompoundType.Plo
 1244 	-rm -f ./$(DEPDIR)/ncDim.Plo
 1245 	-rm -f ./$(DEPDIR)/ncDouble.Plo
 1246 	-rm -f ./$(DEPDIR)/ncEnumType.Plo
 1247 	-rm -f ./$(DEPDIR)/ncException.Plo
 1248 	-rm -f ./$(DEPDIR)/ncFile.Plo
 1249 	-rm -f ./$(DEPDIR)/ncFloat.Plo
 1250 	-rm -f ./$(DEPDIR)/ncGroup.Plo
 1251 	-rm -f ./$(DEPDIR)/ncGroupAtt.Plo
 1252 	-rm -f ./$(DEPDIR)/ncInt.Plo
 1253 	-rm -f ./$(DEPDIR)/ncInt64.Plo
 1254 	-rm -f ./$(DEPDIR)/ncOpaqueType.Plo
 1255 	-rm -f ./$(DEPDIR)/ncShort.Plo
 1256 	-rm -f ./$(DEPDIR)/ncString.Plo
 1257 	-rm -f ./$(DEPDIR)/ncType.Plo
 1258 	-rm -f ./$(DEPDIR)/ncUbyte.Plo
 1259 	-rm -f ./$(DEPDIR)/ncUint.Plo
 1260 	-rm -f ./$(DEPDIR)/ncUint64.Plo
 1261 	-rm -f ./$(DEPDIR)/ncUshort.Plo
 1262 	-rm -f ./$(DEPDIR)/ncVar.Plo
 1263 	-rm -f ./$(DEPDIR)/ncVarAtt.Plo
 1264 	-rm -f ./$(DEPDIR)/ncVlenType.Plo
 1265 	-rm -f ./$(DEPDIR)/test_att.Po
 1266 	-rm -f ./$(DEPDIR)/test_classic.Po
 1267 	-rm -f ./$(DEPDIR)/test_dim.Po
 1268 	-rm -f ./$(DEPDIR)/test_group.Po
 1269 	-rm -f ./$(DEPDIR)/test_ncFile_Flags.Po
 1270 	-rm -f ./$(DEPDIR)/test_open_close.Po
 1271 	-rm -f ./$(DEPDIR)/test_type.Po
 1272 	-rm -f ./$(DEPDIR)/test_var.Po
 1273 	-rm -f ./$(DEPDIR)/test_var2.Po
 1274 	-rm -f Makefile
 1275 distclean-am: clean-am distclean-compile distclean-generic \
 1276 	distclean-tags
 1277 
 1278 dvi: dvi-am
 1279 
 1280 dvi-am:
 1281 
 1282 html: html-am
 1283 
 1284 html-am:
 1285 
 1286 info: info-am
 1287 
 1288 info-am:
 1289 
 1290 install-data-am: install-includeHEADERS
 1291 
 1292 install-dvi: install-dvi-am
 1293 
 1294 install-dvi-am:
 1295 
 1296 install-exec-am: install-libLTLIBRARIES
 1297 
 1298 install-html: install-html-am
 1299 
 1300 install-html-am:
 1301 
 1302 install-info: install-info-am
 1303 
 1304 install-info-am:
 1305 
 1306 install-man:
 1307 
 1308 install-pdf: install-pdf-am
 1309 
 1310 install-pdf-am:
 1311 
 1312 install-ps: install-ps-am
 1313 
 1314 install-ps-am:
 1315 
 1316 installcheck-am:
 1317 
 1318 maintainer-clean: maintainer-clean-am
 1319 		-rm -f ./$(DEPDIR)/ncAtt.Plo
 1320 	-rm -f ./$(DEPDIR)/ncByte.Plo
 1321 	-rm -f ./$(DEPDIR)/ncChar.Plo
 1322 	-rm -f ./$(DEPDIR)/ncCheck.Plo
 1323 	-rm -f ./$(DEPDIR)/ncCompoundType.Plo
 1324 	-rm -f ./$(DEPDIR)/ncDim.Plo
 1325 	-rm -f ./$(DEPDIR)/ncDouble.Plo
 1326 	-rm -f ./$(DEPDIR)/ncEnumType.Plo
 1327 	-rm -f ./$(DEPDIR)/ncException.Plo
 1328 	-rm -f ./$(DEPDIR)/ncFile.Plo
 1329 	-rm -f ./$(DEPDIR)/ncFloat.Plo
 1330 	-rm -f ./$(DEPDIR)/ncGroup.Plo
 1331 	-rm -f ./$(DEPDIR)/ncGroupAtt.Plo
 1332 	-rm -f ./$(DEPDIR)/ncInt.Plo
 1333 	-rm -f ./$(DEPDIR)/ncInt64.Plo
 1334 	-rm -f ./$(DEPDIR)/ncOpaqueType.Plo
 1335 	-rm -f ./$(DEPDIR)/ncShort.Plo
 1336 	-rm -f ./$(DEPDIR)/ncString.Plo
 1337 	-rm -f ./$(DEPDIR)/ncType.Plo
 1338 	-rm -f ./$(DEPDIR)/ncUbyte.Plo
 1339 	-rm -f ./$(DEPDIR)/ncUint.Plo
 1340 	-rm -f ./$(DEPDIR)/ncUint64.Plo
 1341 	-rm -f ./$(DEPDIR)/ncUshort.Plo
 1342 	-rm -f ./$(DEPDIR)/ncVar.Plo
 1343 	-rm -f ./$(DEPDIR)/ncVarAtt.Plo
 1344 	-rm -f ./$(DEPDIR)/ncVlenType.Plo
 1345 	-rm -f ./$(DEPDIR)/test_att.Po
 1346 	-rm -f ./$(DEPDIR)/test_classic.Po
 1347 	-rm -f ./$(DEPDIR)/test_dim.Po
 1348 	-rm -f ./$(DEPDIR)/test_group.Po
 1349 	-rm -f ./$(DEPDIR)/test_ncFile_Flags.Po
 1350 	-rm -f ./$(DEPDIR)/test_open_close.Po
 1351 	-rm -f ./$(DEPDIR)/test_type.Po
 1352 	-rm -f ./$(DEPDIR)/test_var.Po
 1353 	-rm -f ./$(DEPDIR)/test_var2.Po
 1354 	-rm -f Makefile
 1355 maintainer-clean-am: distclean-am maintainer-clean-generic
 1356 
 1357 mostlyclean: mostlyclean-am
 1358 
 1359 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
 1360 	mostlyclean-libtool
 1361 
 1362 pdf: pdf-am
 1363 
 1364 pdf-am:
 1365 
 1366 ps: ps-am
 1367 
 1368 ps-am:
 1369 
 1370 uninstall-am: uninstall-includeHEADERS uninstall-libLTLIBRARIES
 1371 
 1372 .MAKE: check-am install-am install-strip
 1373 
 1374 .PHONY: CTAGS GTAGS TAGS all all-am am--depfiles check check-TESTS \
 1375 	check-am clean clean-checkPROGRAMS clean-generic \
 1376 	clean-libLTLIBRARIES clean-libtool cscopelist-am ctags \
 1377 	ctags-am distclean distclean-compile distclean-generic \
 1378 	distclean-libtool distclean-tags distdir dvi dvi-am html \
 1379 	html-am info info-am install install-am install-data \
 1380 	install-data-am install-dvi install-dvi-am install-exec \
 1381 	install-exec-am install-html install-html-am \
 1382 	install-includeHEADERS install-info install-info-am \
 1383 	install-libLTLIBRARIES install-man install-pdf install-pdf-am \
 1384 	install-ps install-ps-am install-strip installcheck \
 1385 	installcheck-am installdirs maintainer-clean \
 1386 	maintainer-clean-generic mostlyclean mostlyclean-compile \
 1387 	mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
 1388 	recheck tags tags-am uninstall uninstall-am \
 1389 	uninstall-includeHEADERS uninstall-libLTLIBRARIES
 1390 
 1391 .PRECIOUS: Makefile
 1392 
 1393 
 1394 # Empty file that gets time-stamped after docs are generated
 1395 doxygen_stamp: $(libnetcdf_c__4_la_SOURCES) $(include_HEADERS)
 1396 	doxygen
 1397 	touch doxygen_stamp
 1398 
 1399 # Tell versions [3.59,3.63) of GNU make to not export all variables.
 1400 # Otherwise a system limit (for SysV at least) may be exceeded.
 1401 .NOEXPORT: